### Hierarchy

- ChoiceContainer
  - SingleChoice

### Implements

- IStackeable

## Index

### Constructors

- constructor

### Properties

- CSS_BASE_CLASS

### Methods

- cssClassName
- mutatedChoiceType
- render

## Constructors

### constructor

- new SingleChoice(spec: ISpecification): SingleChoice

- Inherited from ChoiceContainer.constructor

  - Defined in lib/renderable/choice/ChoiceContainer.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns SingleChoice

## Properties

### Static CSS_BASE_CLASS

CSS_BASE_CLASS: "lto-choice-container" = "lto-choice-container"

Inherited from ChoiceContainer.CSS_BASE_CLASS

- Defined in lib/renderable/choice/ChoiceContainer.ts:14

## Methods

### cssClassName

- cssClassName(): string

- Overrides ChoiceContainer.cssClassName

  - Defined in lib/renderable/choice/index.ts:14

  #### Returns string

### mutatedChoiceType

- mutatedChoiceType(): string

- Overrides ChoiceContainer.mutatedChoiceType

  - Defined in lib/renderable/choice/index.ts:18

  #### Returns string

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  Inherited from ChoiceContainer.render

  - Defined in lib/renderable/choice/ChoiceContainer.ts:20

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc